#ifndef MYGL_H
#define MYGL_H

/* 

    umesh2dgui, a GUI for umesh2d grid generator 

    Copyright (C) 2003 Gabriele Dini Ciacci
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <fltk/gl.h>
#include <fltk/GlWindow.h>
#include <stdio.h>
#include "BDFile.h"

class MyGL : public fltk::GlWindow {
  void draw();
  int handle(int event);

 public:
  MyGL(int X, int Y, int W, int H, const char *L) : fltk::GlWindow(X, Y, W, H, L) {}
  void setprim(Primitive *prim, int n);
 private:
  void MyInit();
  void drawgeometry();   // very slow.... 
  void drawprimitive(Primitive *curprim); // this should be changed so it creates a vector witht he points
  Primitive *firstprimitive;
  int nprim;
};


#endif
